summaryrefslogtreecommitdiffstats
path: root/node/tools
diff options
context:
space:
mode:
authorMomo <momorientes@online.de>2011-09-01 12:17:21 +0200
committerMomo <momorientes@online.de>2011-09-01 12:17:21 +0200
commitff0030cd7fe92a09173c16bf7b483cde638dab46 (patch)
tree33c1cd58756ea023eb304a1504b3a079a7eae63a /node/tools
parent77d4efad2e89fe9357b10b1bd173fbded82468fe (diff)
parentabf8674a3fc02f172768be911c6e719290bf6bd5 (diff)
Merge branch 'master' of https://github.com/krebscode/painload
Diffstat (limited to 'node/tools')
-rwxr-xr-xnode/tools/latest-version19
1 files changed, 19 insertions, 0 deletions
diff --git a/node/tools/latest-version b/node/tools/latest-version
new file mode 100755
index 00000000..b99276d5
--- /dev/null
+++ b/node/tools/latest-version
@@ -0,0 +1,19 @@
+#! /bin/sh
+#
+# //node/tools/latest-version - retrieve the latest node version from the IN
+#
+set -euf
+
+# cd //node
+cd $(readlink -f $(dirname $0)/..)
+
+# PATH prepend //util/bin
+export PATH="$PWD/../util/bin${PATH+:$PATH}"
+
+# TODO punani install executable: curl
+
+curl -fsS http://nodejs.org/ |
+ hrefs |
+ sed -n 's:.*node-v\([0-9.]\+\)\.tar\.gz:\1:p' |
+ sort |
+ tail -n 1